org.apache.ignite.springdata.repository.query

## Class IgniteRepositoryQuery

- java.lang.Object
- - org.apache.ignite.springdata.repository.query.IgniteRepositoryQuery

- All Implemented Interfaces:
    org.springframework.data.repository.query.RepositoryQuery

      public class IgniteRepositoryQuery
      extends Object
      implements org.springframework.data.repository.query.RepositoryQuery

  Ignite SQL query implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteRepositoryQuery(org.springframework.data.repository.core.RepositoryMetadata metadata, IgniteQuery qry, Method mtd, org.springframework.data.projection.ProjectionFactory factory, IgniteCache cache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `execute(Object[] prmtrs)`
    `org.springframework.data.repository.query.QueryMethod` | `getQueryMethod()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteRepositoryQuery

          public IgniteRepositoryQuery(org.springframework.data.repository.core.RepositoryMetadata metadata,
                                       IgniteQuery qry,
                                       Method mtd,
                                       org.springframework.data.projection.ProjectionFactory factory,
                                       IgniteCache cache)

      Parameters:
        `metadata` - Metadata.
        `qry` - Query.
        `mtd` - Method.
        `factory` - Factory.
        `cache` - Cache.

  - ### Method Detail

    - #### execute

          public Object execute(Object[] prmtrs)

      Specified by:
        `execute` in interface `org.springframework.data.repository.query.RepositoryQuery`

    - #### getQueryMethod

          public org.springframework.data.repository.query.QueryMethod getQueryMethod()

      Specified by:
        `getQueryMethod` in interface `org.springframework.data.repository.query.RepositoryQuery`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020